.page-header h1 {
    font-family: 'IranYekanBlack';
    font-size: 30px;
    color: #fff;
}
/*----------------------------------------------
 * 			W O O C O M M E R C E
 * --------------------------------------------*/

 /* -------------------
 * checkout page ----*/
 form.checkout.woocommerce-checkout {
    background: rgba(255, 255, 255, 0.05)!important;
    border-radius: 20px!important;
    padding: 35px!important;
    margin: 30px 0!important;
    border: 1px solid #ffffff82!important;
}
form.checkout.woocommerce-checkout div#customer_details {
    display: none!important;
}
form.checkout.woocommerce-checkout h3#order_review_heading {
    color: #fff!important;
    font-family: 'IranYekanBlack'!important;
    font-size: 22px!important;
    margin: 10px 0!important;
}
table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details {
    color: #fff!important;
    background: rgba(255, 255, 255, 0.05)!important;
    border-radius: 15px!important;
    border: 1px solid #ffffff7d!important;
    padding: 20px!important;
    line-height: 2!important;
    margin-top: 20px!important;
    text-align: justify!important;
    width: 100%!important;
}
@media only screen and (max-width:390px) {
    table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details {
        display: flex!important;
        flex-direction: column!important;
        align-items: center!important;
        justify-content: center!important;
        gap: 20px!important;
    }
    table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details thead tr {
        display: flex!important;
        justify-content: space-between!important;
        align-items: center!important;
        gap: 20px!important;
    }
    table.woocommerce-table.woocommerce-table--order-details.shop_table.order_details tbody tr {
        display: flex!important;
        flex-wrap: wrap!important;
    }
}
p.order-again a {
    width: fit-content!important;
    background: #ED0080!important;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.25)!important;
    border-radius: 15px!important;
    display: flex!important;
    align-items: center!important;
    justify-content: center!important;
    color: #fff!important;
    padding: 12px 20px!important;
    border: none!important;
    cursor: pointer!important;
}
#add_payment_method #payment, .woocommerce-cart #payment, .woocommerce-checkout #payment {
    border-radius: 5px!important;
    background: #171E20!important;
    border: 1px solid rgba(255, 255, 255, 0.7)!important;
    border-radius: 15px!important;
    width: 100%!important;
    padding: 10px!important;
    color: #fff!important;
}
#add_payment_method #payment ul.payment_methods, .woocommerce-cart #payment ul.payment_methods, .woocommerce-checkout #payment ul.payment_methods {
    text-align: right!important;
    padding: 1em!important;
    border-bottom: 1px solid #d3ced2!important;
    margin: 0!important;
    list-style: none outside!important;
}
#add_payment_method #payment div.form-row, .woocommerce-cart #payment div.form-row, .woocommerce-checkout #payment div.form-row {
    padding: 1em!important;
}
.woocommerce-privacy-policy-text a {
    color: var(--first-color)!important;
    font-weight: bold!important;
}
.woocommerce-checkout #payment div.form-row button#place_order {
    background: #ED0080!important;
    box-shadow: 0px 0px 20px rgb(237 0 128 / 50%)!important;
    border-radius: 15px!important;
    border: none!important;
    width: fit-content!important;
    padding: 12px 25px!important;
    color: white!important;
    cursor: pointer!important;
    display: block!important;
    margin-right: auto!important;
}
.woocommerce-error, .woocommerce-info, .woocommerce-message {
    padding: 1em 3.5em 1em 2em!important;
    margin: 0 0 2em!important;
    position: relative!important;
    background-color: #171E20!important;
    color: #fff!important;
    border-top: 3px solid var(--first-color)!important;
    list-style: none outside!important;
    width: auto!important;
    word-wrap: break-word!important;
    border-radius: 20px!important;
}
.woocommerce-info {
    border-top-color: var(--first-color)!important;
}
.woocommerce-error a, .woocommerce-info a, .woocommerce-message a {
    color: var(--first-color)!important;
    font-weight: bold!important;
}
.woocommerce form.checkout_coupon {
    border: 1px solid #ffffffb3!important;
    padding: 20px!important;
    margin: 2em 0!important;
    text-align: right!important;
    border-radius: 20px!important;
    background: rgba(255, 255, 255, 0.05)!important;
    color: #fff!important;
    display: flex!important;
    flex-wrap: wrap!important;
    align-items: center!important;
}
form.checkout_coupon.woocommerce-form-coupon p:first-child {
    width : 100%!important;
}
.woocommerce form.checkout_coupon p.form-row.form-row-first input {
    background: #171E20!important;
    border: 1px solid rgba(255, 255, 255, 0.7)!important;
    border-radius: 15px!important;
    width: 100%!important;
    padding: 10px!important;
    color: #fff!important;
    font-size: 16px!important;
}
.woocommerce form.checkout_coupon p.form-row.form-row-last button {
    background: #ED0080!important;
    box-shadow: 0px 0px 20px rgb(237 0 128 / 50%)!important;
    border-radius: 15px!important;
    border: none!important;
    padding: 12px 20px!important;
    color: white!important;
    cursor: pointer!important;
    margin-right: 20px!important;
}
#add_payment_method #payment ul.payment_methods li, .woocommerce-cart #payment ul.payment_methods li, .woocommerce-checkout #payment ul.payment_methods li {
    line-height: 2!important;
    text-align: right!important;
    margin: 0!important;
    font-weight: 400!important;
    background: #ffffff05!important;
    padding: 10px!important;
    border-radius: 20px!important;
}
span.woocommerce-terms-and-conditions-checkbox-text a {
    color: var(--first-color)!important;
    font-weight: bold!important;
}
a.woocommerce-remove-coupon {
    font-weight: bold!important;
    color: var(--first-color)!important;
}
/*************************/
h2.woocommerce-order-details__title {
    color: #fff!important;
}
ul.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
    color: #fff!important;
    background: rgba(255, 255, 255, 0.05)!important;
    border-radius: 15px!important;
    border: 1px solid #ffffff7d!important;
    padding: 20px!important;
    line-height: 2!important;
}
.woocommerce-thankyou-order-received {
    padding: 1em 3.5em 1em 2em!important;
    margin: 0 0 2em!important;
    position: relative!important;
    background-color: #171E20!important;
    color: #fff!important;
    border-top: 3px solid var(--first-color)!important;
    list-style: none outside!important;
    width: auto!important;
    word-wrap: break-word!important;
    border-radius: 20px!important;
}
.woocommerce-order section.woocommerce-customer-details {
    display: none;
}
.woocommerce-order > p {
    color: #fff;
}
/* Spot Player Section */
section.woocommerce-order-details #sp {
    color: #fff;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 15px;
    border: 1px solid #ffffff7d;
    padding: 20px;
    line-height: 2;
    margin: 20px 0;
    text-align: justify;
}
div#sp_players > div {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 10px;
}
div#sp_players > div a {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #000;
    background: #eee;
    border-radius: 15px;
    overflow: hidden;
}
div#sp_players > div a u {
    text-decoration: none;
    cursor: pointer;
    font-weight: bold;
}
div#sp_license textarea {
    background: #171E20;
    border: 1px solid rgba(255, 255, 255, 0.7);
    border-radius: 15px;
    width: 100%;
    padding: 10px;
    color: #fff;
    font-size: 16px;
    overflow: hidden;
    resize: none;
    min-height: 150px;
}
div#sp_license button {
    width: fit-content;
    background: #ED0080;
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.25);
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    padding: 12px 20px;
    border: none;
    cursor: pointer;
}
 /* -------------------
 * cart page ----*/
 .wc-proceed-to-checkout a {
    background: #ED0080!important;
    box-shadow: 0px 0px 20px rgb(237 0 128 / 50%)!important;
    border-radius: 15px!important;
    width: fit-content!important;
    padding: 12px!important;
    color: white!important;
    margin-bottom: 20px!important;
    display: block!important;
    margin-right: auto!important;
}
form.woocommerce-cart-form {
    background: rgba(255, 255, 255, 0.05)!important;
}
td.product-quantity {
    display: none!important;
}
th.product-quantity {
    display: none!important;
}
td.product-thumbnail img {
    max-width: 100px!important;
    border-radius: 15px!important;
}
td.product-name a {
    color: var(--first-color)!important;
    font-weight: bold!important;
}
td.product-remove a {
    color: var(--first-color)!important;
    font-size: 40px!important;
    font-weight: bold!important;
}
form.woocommerce-cart-form .coupon {
    padding: 10px 0!important;
}
form.woocommerce-cart-form .coupon input#coupon_code {
    background: #171E20!important;
    border: 1px solid rgba(255, 255, 255, 0.7)!important;
    border-radius: 15px!important;
    padding: 10px!important;
    color: #fff!important;
    font-size: 16px!important;
    margin: 0 20px!important;
}
form.woocommerce-cart-form .coupon button.button {
    background: #ED0080!important;
    box-shadow: 0px 0px 20px rgb(237 0 128 / 50%)!important;
    border-radius: 15px!important;
    border: none!important;
    padding: 12px 25px!important;
    color: white!important;
    cursor: pointer!important;
}
form.woocommerce-cart-form button.button[name=update_cart] {
    background: #ED0080!important;
    box-shadow: 0px 0px 20px rgb(237 0 128 / 50%)!important;
    border-radius: 15px!important;
    border: none!important;
    padding: 12px 25px!important;
    color: white!important;
    cursor: pointer!important;
    margin: 10px auto 10px 0!important;
    display: block!important;
}
.cart_totals h2 {
    font-family: 'IranYekanBlack'!important;
    color: #fff!important;
}
.woocommerce table.shop_table {
    border: 1px solid rgba(255,255,255,.7)!important;
    margin: 0 0 24px -1px!important;
    text-align: right!important;
    width: 100%!important;
    border-collapse: separate!important;
    border-radius: 5px!important
}
.woocommerce table.shop_table td {
    border-top: 1px solid rgba(255,255,255,.7)!important;
    padding: 9px 12px!important;
    vertical-align: middle!important;
    line-height: 1.5em!important;
    color : #fff!important
}
.woocommerce table.shop_table tbody th, .woocommerce table.shop_table tfoot td, .woocommerce table.shop_table tfoot th {
    font-weight: 700!important;
    border-top: 1px solid rgba(255,255,255,.7)!important;
        color : #fff!important
}
.woocommerce table.shop_table th {
    font-weight: 700!important;
    padding: 9px 12px!important;
    line-height: 1.5em!important;
    color : var(--first-color)!important
}
a.button.wc-backward {
    background: #ec0080;
    color: #fff;
    padding: 5px 10px;
    border-radius: 10px;
    margin: auto;
    display: block;
    width: max-content;
}
@media only screen and (max-width: 600px) {
	form.woocommerce-cart-form {
		overflow-x: auto;
	}
	form.woocommerce-cart-form td.product-thumbnail img {
		width: 50px;
		height: 50px;
	}
	form.woocommerce-cart-form td.product-thumbnail {
		padding: 5px;
	}
	.woocommerce table.shop_table td.product-name a {width: max-content;font-size: 13px;display: block;}

}